CREATE TABLE `mdl_user` (
	`id` bigint(10) NOT NULL AUTO_INCREMENT,
	`auth` varchar(20) NOT NULL DEFAULT 'manual',
	`confirmed` tinyint(1) NOT NULL DEFAULT '0',
	`policyagreed` tinyint(1) NOT NULL DEFAULT '0',
	`deleted` tinyint(1) NOT NULL DEFAULT '0',
	`suspended` tinyint(1) NOT NULL DEFAULT '0',
	`mnethostid` bigint(10) NOT NULL DEFAULT '0',
	`username` varchar(100) NOT NULL DEFAULT '',
	`password` varchar(255) NOT NULL DEFAULT '',
	`idnumber` varchar(255) NOT NULL DEFAULT '',
	`firstname` varchar(100) NOT NULL DEFAULT '',
	`lastname` varchar(100) NOT NULL DEFAULT '',
	`email` varchar(100) NOT NULL DEFAULT '',
	`emailstop` tinyint(1) NOT NULL DEFAULT '0',
	`icq` varchar(15) NOT NULL DEFAULT '',
	`skype` varchar(50) NOT NULL DEFAULT '',
	`yahoo` varchar(50) NOT NULL DEFAULT '',
	`aim` varchar(50) NOT NULL DEFAULT '',
	`msn` varchar(50) NOT NULL DEFAULT '',
	`phone1` varchar(20) NOT NULL DEFAULT '',
	`phone2` varchar(20) NOT NULL DEFAULT '',
	`institution` varchar(255) NOT NULL DEFAULT '',
	`department` varchar(255) NOT NULL DEFAULT '',
	`address` varchar(255) NOT NULL DEFAULT '',
	`city` varchar(120) NOT NULL DEFAULT '',
	`country` varchar(2) NOT NULL DEFAULT '',
	`lang` varchar(30) NOT NULL DEFAULT 'en',
	`theme` varchar(50) NOT NULL DEFAULT '',
	`timezone` varchar(100) NOT NULL DEFAULT '99',
	`firstaccess` bigint(10) NOT NULL DEFAULT '0',
	`lastaccess` bigint(10) NOT NULL DEFAULT '0',
	`lastlogin` bigint(10) NOT NULL DEFAULT '0',
	`currentlogin` bigint(10) NOT NULL DEFAULT '0',
	`lastip` varchar(45) NOT NULL DEFAULT '',
	`secret` varchar(15) NOT NULL DEFAULT '',
	`picture` bigint(10) NOT NULL DEFAULT '0',
	`url` varchar(255) NOT NULL DEFAULT '',
	`description` longtext,
	`descriptionformat` tinyint(2) NOT NULL DEFAULT '1',
	`mailformat` tinyint(1) NOT NULL DEFAULT '1',
	`maildigest` tinyint(1) NOT NULL DEFAULT '0',
	`maildisplay` tinyint(2) NOT NULL DEFAULT '2',
	`autosubscribe` tinyint(1) NOT NULL DEFAULT '1',
	`trackforums` tinyint(1) NOT NULL DEFAULT '0',
	`timecreated` bigint(10) NOT NULL DEFAULT '0',
	`timemodified` bigint(10) NOT NULL DEFAULT '0',
	`trustbitmask` bigint(10) NOT NULL DEFAULT '0',
	`imagealt` varchar(255) DEFAULT NULL,
	`lastnamephonetic` varchar(255) DEFAULT NULL,
	`firstnamephonetic` varchar(255) DEFAULT NULL,
	`middlename` varchar(255) DEFAULT NULL,
	`alternatename` varchar(255) DEFAULT NULL,
	`calendartype` varchar(30) NOT NULL DEFAULT 'gregorian',
	PRIMARY KEY (`id`),
	UNIQUE KEY `mdl_user_mneuse_uix` (`mnethostid`,`username`),
	KEY `mdl_user_del_ix` (`deleted`),
	KEY `mdl_user_con_ix` (`confirmed`),
	KEY `mdl_user_fir_ix` (`firstname`),
	KEY `mdl_user_las_ix` (`lastname`),
	KEY `mdl_user_cou_ix` (`country`),
	KEY `mdl_user_las2_ix` (`lastaccess`),
	KEY `mdl_user_ema_ix` (`email`),
	KEY `mdl_user_aut_ix` (`auth`),
	KEY `mdl_user_idn_ix` (`idnumber`),
	KEY `mdl_user_cit_ix` (`city`),
	KEY `mdl_user_las3_ix` (`lastnamephonetic`),
	KEY `mdl_user_fir2_ix` (`firstnamephonetic`),
	KEY `mdl_user_mid_ix` (`middlename`),
	KEY `mdl_user_alt_ix` (`alternatename`)
);

CREATE TABLE `mdl_user_attribute` (
	`id` bigint(10) NOT NULL AUTO_INCREMENT,
	`user_id` bigint(10) NOT NULL,
	`master_id` bigint(10) DEFAULT NULL,
	`master_moodle_id` bigint(10) DEFAULT NULL,
	`title_before` varchar(25) DEFAULT NULL,
	`title_after` varchar(25) DEFAULT NULL,
	`personal_number` varchar(20) DEFAULT NULL,
	PRIMARY KEY (`id`),
	UNIQUE KEY `mdl_userattr_use_uix` (`user_id`),
	KEY `mdl_userattr_mas_ix` (`master_moodle_id`)
);

CREATE TABLE `mdl_cohort` (
	`id` bigint(10) NOT NULL AUTO_INCREMENT,
	`contextid` bigint(10) NOT NULL,
	`name` varchar(254) NOT NULL DEFAULT '',
	`idnumber` varchar(100) DEFAULT NULL,
	`description` longtext DEFAULT NULL,
	`descriptionformat` tinyint(2) NOT NULL,
	`visible` tinyint(1) NOT NULL DEFAULT 1,
	`component` varchar(100) NOT NULL DEFAULT '',
	`timecreated` bigint(10) NOT NULL,
	`timemodified` bigint(10) NOT NULL,
	`theme` varchar(50) DEFAULT NULL,
	PRIMARY KEY (`id`),
	KEY `mdl_coho_con_ix` (`contextid`)
);

CREATE TABLE `mdl_cohort_members` (
	`id` bigint(10) NOT NULL AUTO_INCREMENT,
	`cohortid` bigint(10) NOT NULL DEFAULT 0,
	`userid` bigint(10) NOT NULL DEFAULT 0,
	`timeadded` bigint(10) NOT NULL DEFAULT 0,
	PRIMARY KEY (`id`),
	UNIQUE KEY `mdl_cohomemb_cohuse_uix` (`cohortid`,`userid`),
	KEY `mdl_cohomemb_coh_ix` (`cohortid`),
	KEY `mdl_cohomemb_use_ix` (`userid`)
);
