package cz.zcu.connectors.moodle;

import org.identityconnectors.framework.api.ConnectorFacade;
import org.identityconnectors.framework.common.objects.AttributeDelta;
import org.identityconnectors.framework.common.objects.ObjectClass;
import org.identityconnectors.framework.common.objects.Uid;
import org.testng.annotations.BeforeClass;
import org.testng.annotations.Test;

import java.util.HashSet;
import java.util.Set;


public class MoodleConnectorGlobalTests extends MoodleConnectorTestBase {
	/** Unsupported object class name for tests. */
	private static final String UNKNOWN_NAME = "unknown";
	/** Unsupported object class for tests. */
	private static final ObjectClass UNKNOWN_OBJECT_CLASS = new ObjectClass(UNKNOWN_NAME);
	/** Fake UID for tests. */
	private static final Uid FAKE_UID = new Uid("0");


	/**
	 * Global connector tests constructor.
	 */
	public MoodleConnectorGlobalTests() {
		super(null);
	}


	/**
	 * Global connector tests setup.
	 */
	@BeforeClass
	public void setUp() {
		super.setUp();
	}


	/**
	 * Test unknown object class on get().
	 */
	@Test(expectedExceptions = UnsupportedOperationException.class)
	public void unknownObjectClassGetTest() {
		final ConnectorFacade facade = getFacade(null);
		facade.getObject(UNKNOWN_OBJECT_CLASS, FAKE_UID, null);
	}


	/**
	 * Test unknown object class on list().
	 */
	@Test(expectedExceptions = UnsupportedOperationException.class)
	public void unknownObjectClassListTest() {
		final ConnectorFacade facade = getFacade(null);
		facade.search(UNKNOWN_OBJECT_CLASS, null, null, null);
	}


	/**
	 * Test unknown object class on delete().
	 */
	@Test(expectedExceptions = UnsupportedOperationException.class)
	public void unknownObjectClassDeleteTest() {
		final ConnectorFacade facade = getFacade(null);

		facade.delete(UNKNOWN_OBJECT_CLASS, FAKE_UID, null);
	}


	/**
	 * Test unknown object class on updateDelta().
	 */
	@Test(expectedExceptions = UnsupportedOperationException.class)
	public void unknownObjectClassUpdateTest() {
		final ConnectorFacade facade = getFacade(null);
		final Set<AttributeDelta> modifications = new HashSet<>();

		facade.updateDelta(UNKNOWN_OBJECT_CLASS, FAKE_UID, modifications, null);
	}


	/**
	 * Connector test for connection test.
	 */
	@Test
	public void testTest() {
		final ConnectorFacade facade = getFacade(null);
		facade.test();
	}


	/**
	 * Connector test for validate configuration.
	 */
	@Test
	public void validateTest() {
		final ConnectorFacade facade = getFacade(null);
		facade.validate();
	}

}
