import org.identityconnectors.common.security.GuardedString
import java.time.ZonedDateTime
import java.time.ZoneId
import java.time.format.DateTimeFormatter


configuration {
	jdbcDriver="org.mariadb.jdbc.Driver"
	jdbcUrl="jdbc:mariadb://localhost/MOODLE?characterEncoding=utf8"

	//jdbcDriver="oracle.jdbc.driver.OracleDriver"
	//jdbcUrl="jdbc:oracle:thin:@EXAMPLE.COM"
	//jdbcUser="dbuser"
	//jdbcPassword=new GuardedString("password".toCharArray())

	deleteMethod="purge"
}

// keep in sync with test data
user {
	user_id=1001L
	auth="manual"
	mnethostid=1L
	username="username1"
	idnumber="idnumber1"
	firstname="firstname1"
	lastname="lastname1"
	email="email1"
	institution="institution1"
	confirmed=1
	deleted=1
	password=new GuardedString("SecretX1".toCharArray())
	lang="lang1"
	personal_number="11"
}

// keep in sync with test data
user2 {
	user_id=1002L
	auth="manual"
	mnethostid=2L
	username="username2"
	idnumber="idnumber2"
	firstname="firstname2"
	lastname="lastname2"
	email="email2"
	institution="institution2"
	confirmed=2
	deleted=2
	password=new GuardedString("SecretX2".toCharArray())
	lang="lang2"
	personal_number="12"
}

// write tests
userWrite {
	user_id=1003L
	auth="manual"
	mnethostid=3L
	username="username3"
	idnumber="idnumber3"
	firstname="firstname3"
	lastname="lastname3"
	email="email3"
	institution="institution3"
	confirmed=3
	deleted=3
	password=new GuardedString("SecretX3".toCharArray())
	lang="lang3"
	personal_number="13"
}

// write tests
userWrite2 {
	user_id=1004L
	auth="shibboleth"
	mnethostid=4L
	idnumber="idnumber4"
	username="username4@domain"
	firstname="firstname4"
	lastname="lastname4"
	email="email4"
	institution="institution4"
	confirmed=4
	deleted=4
	password=new GuardedString("SecretX4".toCharArray())
	lang="lang4"
	personal_number="14"
}

userUnknown {
	user_id=999999999L
	mnethostid=9L
}

// keep in sync with test data
cohort {
	cohort_id="1001"
	name="name1"
	contextid=1L
	idnumber="idnumber1"
	description="description1"
	descriptionformat=1
	visible=1
	component="component1"
	theme="theme1"
}

// keep in sync with test data
cohort2 {
	cohort_id="1002"
	name="name2"
	contextid=2L
	idnumber="idnumber2"
	description="description2"
	descriptionformat=2
	visible=2
	component="component2"
	theme="theme2"
}

// write tests
cohortWrite {
	// autogenerated: cohort_id="1003"
	name="name3"
	contextid=3L
	idnumber="idnumber3"
	description="description3"
	descriptionformat=3
	visible=3
	component="component3"
	theme="theme3"
}

// write tests
cohortWrite2 {
	// autogenerated: cohort_id="1004"
	name="name4"
	contextid=4L
	idnumber="idnumber4"
	description="description4"
	descriptionformat=4
	visible=4
	component="component4"
	theme="theme4"
}

cohortUnknown {
	cohort_id="999999999"
	name="name999999999"
}
